%global momorel 14

Summary: Utilities for managing accounts and shadow password files.
Name: shadow-utils

Version: 4.0.3
Release: %{momorel}m
License: BSD
Group: System Environment/Base
URL: http://shadow.pld.org.pl/

Source0 ftp://ftp.pld.org.pl/software/shadow/shadow-%{version}.tar.bz2
Source1: shadow-970616.login.defs
Source2: shadow-970616.useradd
Source3: adduser.8
Source4: pwunconv.8
Source5: grpconv.8
Source6: grpunconv.8

Patch0: shadow-4.0.3-redhat.patch
Patch1: shadow-4.0.3-noinst.patch
Patch2: shadow-4.0.3-nscd.patch
Patch3: shadow-19990827-group.patch
Patch4: shadow-4.0.3-vipw.patch
Patch5: shadow-4.0.3-mailspool.patch
Patch6: shadow-20000902-usg.patch
Patch7: shadow-4.0.3-shadow-man.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: autoconf, automake, libtool

Obsoletes: adduser
Provides: /usr/sbin/useradd
Provides: /usr/sbin/userdel

%description
The shadow-utils package includes the necessary programs for
converting UNIX password files to the shadow password format, plus
programs for managing user and group accounts. The pwconv command
converts passwords to the shadow password format. The pwunconv command
unconverts shadow passwords and generates an npasswd file (a standard
UNIX password file). The pwck command checks the integrity of password
and shadow files. The lastlog command prints out the last login times
for all users. The useradd, userdel, and usermod commands are used for
managing user accounts. The groupadd, groupdel, and groupmod commands
are used for managing group accounts.

%prep
%setup -q -n shadow-%{version}
%patch0 -p1 -b .redhat
%patch1 -p1 -b .noinst
%patch2 -p1 -b .nscd
%patch3 -p1 -b .group
%patch4 -p1 -b .vipw
%patch5 -p1 -b .mailspool
%patch6 -p1 -b .usg
%patch7 -p1 -b .shadow-man

%__rm po/*.gmo

%build
aclocal-1.6
automake-1.6 -f -a -c
autoconf-2.53
%configure \
  --disable-desrpc \
  --enable-shadowgrp \
  --without-libcrack \
  --with-libcrypt \
  --without-libpam \
  --disable-shared
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
make install DESTDIR=%{buildroot} gnulocaledir=%{buildroot}/%{_datadir}/locale MKINSTALLDIRS=`pwd`/mkinstalldirs
%__install -d -m 750 %{buildroot}/etc/default
%__install -c -m 0644 %{S:1} %{buildroot}/etc/login.defs
%__install -c -m 0600 %{S:2} %{buildroot}/etc/default/useradd

ln -s useradd %{buildroot}%{_sbindir}/adduser
%__install -m644 %{S:3}   %{buildroot}%{_mandir}/man8/
%__install -m644 %{S:4}  %{buildroot}%{_mandir}/man8/
%__install -m644 %{S:5}   %{buildroot}%{_mandir}/man8/
%__install -m644 %{S:6} %{buildroot}%{_mandir}/man8/

# Remove binaries we don't use.
%__rm %{buildroot}/%{_bindir}/chfn
%__rm %{buildroot}/%{_bindir}/chsh
%__rm %{buildroot}/%{_bindir}/expiry
%__rm %{buildroot}/%{_bindir}/groups
%__rm %{buildroot}/%{_bindir}/login
%__rm %{buildroot}/%{_bindir}/newgrp
%__rm %{buildroot}/%{_bindir}/passwd
%__rm %{buildroot}/%{_bindir}/su
%__rm %{buildroot}/%{_sbindir}/dpasswd
%__rm %{buildroot}/%{_sbindir}/logoutd
%__rm %{buildroot}/%{_sbindir}/mkpasswd
%__rm %{buildroot}/%{_sbindir}/vipw

%__rm %{buildroot}/%{_mandir}/man1/chfn.*
%__rm %{buildroot}/%{_mandir}/*/man1/chfn.*
%__rm %{buildroot}/%{_mandir}/man1/chsh.*
%__rm %{buildroot}/%{_mandir}/*/man1/chsh.*
%__rm %{buildroot}/%{_mandir}/man1/expiry.*
%__rm %{buildroot}/%{_mandir}/*/man1/expiry.*
%__rm %{buildroot}/%{_mandir}/*/man1/groups.*
%__rm %{buildroot}/%{_mandir}/man1/login.*
%__rm %{buildroot}/%{_mandir}/*/man1/login.*
%__rm %{buildroot}/%{_mandir}/man1/newgrp.*
%__rm %{buildroot}/%{_mandir}/*/man1/newgrp.*
%__rm %{buildroot}/%{_mandir}/man1/passwd.*
%__rm %{buildroot}/%{_mandir}/*/man1/passwd.*
%__rm %{buildroot}/%{_mandir}/man1/su.*
%__rm %{buildroot}/%{_mandir}/*/man1/su.*
%__rm %{buildroot}/%{_mandir}/*/man5/d_passwd.*
%__rm %{buildroot}/%{_mandir}/man5/limits.*
%__rm %{buildroot}/%{_mandir}/*/man5/limits.*
%__rm %{buildroot}/%{_mandir}/man5/login.access.*
%__rm %{buildroot}/%{_mandir}/*/man5/login.access.*
%__rm %{buildroot}/%{_mandir}/man5/login.defs.*
%__rm %{buildroot}/%{_mandir}/*/man5/login.defs.*
%__rm %{buildroot}/%{_mandir}/man5/passwd.*
%__rm %{buildroot}/%{_mandir}/*/man5/passwd.*
%__rm %{buildroot}/%{_mandir}/man5/porttime.*
%__rm %{buildroot}/%{_mandir}/*/man5/porttime.*
%__rm %{buildroot}/%{_mandir}/man5/suauth.*
%__rm %{buildroot}/%{_mandir}/*/man5/suauth.*
%__rm %{buildroot}/%{_mandir}/man8/logoutd.*
%__rm %{buildroot}/%{_mandir}/*/man8/logoutd.*
%__rm %{buildroot}/%{_mandir}/man8/mkpasswd.*
%__rm %{buildroot}/%{_mandir}/*/man8/mkpasswd.*
%__rm %{buildroot}/%{_mandir}/man8/vipw.*
%__rm %{buildroot}/%{_mandir}/*/man8/vipw.*
%__rm %{buildroot}/%{_mandir}/man8/vigr.*
%__rm %{buildroot}/%{_mandir}/*/man8/vigr.*

%find_lang shadow

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files -f shadow.lang
%defattr(-,root,root)
%doc NEWS doc/ANNOUNCE doc/HOWTO doc/LICENSE README doc/README.linux
%dir /etc/default
%attr(0644,root,root)	%config /etc/login.defs
%attr(0600,root,root)	%config /etc/default/useradd
%{_bindir}/sg
%{_bindir}/chage
%{_bindir}/faillog
%{_bindir}/gpasswd
%{_bindir}/lastlog
%{_sbindir}/adduser
%{_sbindir}/user*
%{_sbindir}/group*
%{_sbindir}/grpck
%{_sbindir}/pwck
%{_sbindir}/*conv
%{_sbindir}/chpasswd
%{_sbindir}/newusers
#%{_sbindir}/mkpasswd
%{_mandir}/man1/chage.1*
%{_mandir}/*/man1/chage.1*
%{_mandir}/man1/gpasswd.1*
%{_mandir}/*/man1/gpasswd.1*
%{_mandir}/man1/sg.1*
%{_mandir}/*/man1/sg.1*
%{_mandir}/man3/getspnam.3*
%{_mandir}/man3/shadow.3*
%{_mandir}/man5/shadow.5*
%{_mandir}/*/man5/shadow.5*
%{_mandir}/man5/faillog.5*
%{_mandir}/*/man5/faillog.5*
%{_mandir}/man8/adduser.8*
%{_mandir}/*/man8/adduser.8*
%{_mandir}/man8/group*.8*
%{_mandir}/*/man8/group*.8*
%{_mandir}/man8/user*.8*
%{_mandir}/*/man8/user*.8*
%{_mandir}/man8/pwck.8*
%{_mandir}/*/man8/pwck.8*
%{_mandir}/man8/grpck.8*
%{_mandir}/*/man8/grpck.8*
%{_mandir}/man8/chpasswd.8*
%{_mandir}/*/man8/chpasswd.8*
%{_mandir}/man8/newusers.8*
%{_mandir}/*/man8/newusers.8*
%{_mandir}/man8/*conv.8*
%{_mandir}/*/man8/*conv.8*
%{_mandir}/man8/lastlog.8*
%{_mandir}/*/man8/lastlog.8*
%{_mandir}/man8/faillog.8*
%{_mandir}/*/man8/faillog.8*

%changelog
* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (4.0.3-14m)
- remove Epoch

* Sat May 22 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (4.0.3-13m)
- remove NoSource

* Tue Jan 27 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (4.0.3-12m)
- modified spec

* Tue Jan 27 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (4.0.3-11m)
- add Provides: /usr/sbin/userdel
- remove shadow-4.0.3-mkinstalldirs.patch

* Sat Nov 08 2003 Kenta MURATA <muraken2@nifty.com>
- (4.0.3-10m)
- correct error on %%install (shadow-4.0.3-mkinstalldirs.patch).
- pretty spec file.

* Sat Jun 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (4.0.3-9m)
- from RawHide 4.0.3-9
-
-* Tue Dec 10 2002 Kazuhiko <kazuhiko@fdiary.net>
-- (20000902-9m)
-- Provides: /usr/sbin/useradd
-
-* Sun Dec  1 2002 YAMAZAKI Makoto <uomaster@nifty.com>
-- (20000902-8m)
-- override AUTOhoges in Makefile
-
-* Mon Oct  7 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
-- (20000902-7m)
-- fix buffer reallocation bug
-
-* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
-- (20000902-6k)
-- add BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k
-
-* Wed Jan  9 2002 Shingo Akagaki <dora@kondara.org>
-- (20000902-4k)
-- automake autoconf 1.5
-
-* Thu Oct 18 2001 Toru Hoshina <t@kondara.org>
-- (20000902-2k)
-- version up.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun  4 2003 Nalin Dahyabhai <nalin@redhat.com> 4.0.3-8
- rebuild

* Tue Jun  3 2003 Nalin Dahyabhai <nalin@redhat.com> 4.0.3-7
- run autoconf to generate updated configure at compile-time

* Wed Feb 12 2003 Nalin Dahyabhai <nalin@redhat.com> 4.0.3-6
- adjust mailspool patch to complain if no group named "mail" exists, even
  though that should never happen

* Tue Feb 11 2003 Nalin Dahyabhai <nalin@redhat.com> 4.0.3-5
- fix perms on mailspools created by useradd to be owned by the "mail"
  group (#59810)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec  9 2002 Nalin Dahyabhai <nalin@redhat.com> 4.0.3-3
- install the shadow.3 man page

* Mon Nov 25 2002 Nalin Dahyabhai <nalin@redhat.com> 4.0.3-2
- disable use of cracklib at build-time
- fixup reserved-account changes for useradd

* Thu Nov 21 2002 Nalin Dahyabhai <nalin@redhat.com> 4.0.3-1
- update to 4.0.3, bumping epoch

* Mon Nov 18 2002 Nalin Dahyabhai <nalin@redhat.com> 20000902-14
- remove man pages which conflict with the man-pages package(s)

* Fri Nov 15 2002 Nalin Dahyabhai <nalin@redhat.com> 20000902-13
- prevent libshadow from being built more than once, to keep automake happy
- change how md5 and md5crypt are enabled, to keep autoconf happy
- remove unpackaged files after %%install

* Thu Aug 29 2002 Nalin Dahyabhai <nalin@redhat.com> 20000902-12
- force .mo files to be regenerated with current gettext to flush out possible
  problems
- fixup non-portable encodings in translations
- make sv translation header non-fuzzy so that it will be included (#71281)

* Fri Aug 23 2002 Nalin Dahyabhai <nalin@redhat.com> 20000902-11
- don't apply aging parameters when creating system accounts (#67408)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 17 2002 Nalin Dahyabhai <nalin@redhat.com> 20000902-8
- rebuild in new environment

* Wed Mar 27 2002 Nalin Dahyabhai <nalin@redhat.com> 20000902-7
- rebuild with proper defines to get support for large lastlog files (#61983)

* Fri Feb 22 2002 Nalin Dahyabhai <nalin@redhat.com> 20000902-6
- rebuild

* Fri Jan 25 2002 Nalin Dahyabhai <nalin@redhat.com> 20000902-5
- fix autoheader breakage and random other things autotools complain about

* Mon Aug 27 2001 Nalin Dahyabhai <nalin@redhat.com> 20000902-4
- use -O0 instead of -O on ia64
- build in source directory
- don't leave lock files on the filesystem when useradd creates a group for
  the user (#50269)
- fix the -o option to check for duplicate UIDs instead of login names (#52187)

* Thu Jul 26 2001 Bill Nottingham <notting@redhat.com> 20000902-3
- build with -O on ia64

* Fri Jun 08 2001 Than Ngo <than@redhat.com> 20000902-2
- fixup broken specfile

* Tue May 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 20000902-1
- Create an empty mailspool when creating a user so non-setuid/non-setgid
  MDAs (postfix+procmail) can deliver mail (#41811)
- 20000902
- adapt patches

* Fri Mar  9 2001 Nalin Dahyabhai <nalin@redhat.com>
- don't overwrite user dot files in useradd (#19982)
- truncate new files when moving overwriting files with the contents of other
  files while moving directories (keeps files from looking weird later on)
- configure using %%{_prefix} as the prefix

* Fri Feb 23 2001 Trond Eivind Glomsrxd <teg@redhat.com>
- langify

* Wed Aug 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up chage behavior (Bug #15883)

* Wed Aug 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 20000826
- Fix up useradd man page (Bug #17036)

* Tue Aug  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- check for vipw lock before adding or deleting users (Bug #6489)

* Mon Aug  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- take LOG_CONS out of the openlog() call so that we don't litter the
  screen during text-mode upgrades

* Tue Jul 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Remove a fixed-size buffer that caused problems when adding a huge number
  of users to a group (>8192 bytes) (Bugs #3809, #11930)

* Tue Jul 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove dependency on util-linux because it causes prereq loops

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- change symlinked man pages to includers
- require /usr/bin/newgrp (util-linux) so that /usr/bin/sg isn't left dangling

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- use mandir for FHS
- added patches in src/ and po/ to honor DESTDIR
- use make install DESTDIR=$RPM_BUILD_ROOT

* Wed Feb 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up usermod's symlink behavior (Bug #5458)

* Fri Feb 11 2000 Cristian Gafton <gafton@redhat.com>
- get rid of mkpasswd

* Mon Feb  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix usermod patch to check for shadow before doing any shadow-specific stuff
  and merge it into the pwlock patch

* Sat Feb  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix man symlinks

* Wed Feb  2 2000 Nalin Dahyabhai <gafton@redhat.com>
- make -p only change shadow password (bug #8923)

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependeencies
- man pages are compressed

* Wed Jan 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix a security bug (adduser could overwrite previously existing
  groups, Bug #8609)

* Sun Jan  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- unset LINGUAS before building
- Fix typo in newusers manpage (Bug #8258)
- libtoolize

* Wed Sep 22 1999 Cristian Gafton <gafton@redhat.com>
- fix segfault for userdel when the primary group for the user is not
  defined

* Tue Sep 21 1999 Cristian Gafton <gafton@redhat.com>
- Serial: 1 because now we are using 19990827 (why the heck can't they have
  a normal version just like everybody else?!)
- ported all patches to the new code base

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- SIGHUP nscd from usermod, too

* Fri Apr 09 1999 Michael K. Johnson <johnsonm@redhat.com>
- added usermod password locking from Chris Adams <cadams@ro.com>

* Thu Apr 08 1999 Bill Nottingham <notting@redhat.com>
- have things that modify users/groups SIGHUP nscd on exit

* Wed Mar 31 1999 Michael K. Johnson <johnsonm@redhat.com>
- have userdel remove user private groups when it is safe to do so
- allow -f to force user removal even when user appears busy in utmp

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- edit out unused CHFN fields from login.defs.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Wed Jan 13 1999 Bill Nottingham <notting@redhat.com>
- configure fix for arm

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Fri Aug 21 1998 Jeff Johnson <jbj@redhat.com>
- Note that /usr/sbin/mkpasswd conflicts with /usr/bin/mkpasswd;
  one of these (I think /usr/sbin/mkpasswd but other opinions are valid)
  should probably be renamed.  In any case, mkpasswd.8 from this package
  needs to be installed. (problem #823)

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 980403
- redid the patches

* Tue Dec 30 1997 Cristian Gafton <gafton@redhat.com>
- updated the spec file
- updated the patch so that new accounts created on shadowed system won't
  confuse pam_pwdb anymore ('!!' default password instead on '!')
- fixed a bug that made useradd -G segfault
- the check for the ut_user is now patched into configure

* Thu Nov 13 1997 Erik Troan <ewt@redhat.com>
- added patch for XOPEN oddities in glibc headers
- check for ut_user before checking for ut_name -- this works around some
  confusion on glibc 2.1 due to the utmpx header not defining the ut_name
  compatibility stuff. I used a gross sed hack here because I couldn't make
  automake work properly on the sparc (this could be a glibc 2.0.99 problem
  though). The utuser patch works fine, but I don't apply it.
- sleep after running autoconf

* Thu Nov 06 1997 Cristian Gafton <gafton@redhat.com>
- added forgot lastlog command to the spec file

* Mon Oct 26 1997 Cristian Gafton <gafton@redhat.com>
- obsoletes adduser

* Thu Oct 23 1997 Cristian Gafton <gafton@redhat.com>
- modified groupadd; updated the patch

* Fri Sep 12 1997 Cristian Gafton <gafton@redhat.com>
- updated to 970616
- changed useradd to meet RH specs
- fixed some bugs

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
